@import "../../variables";
@import "../variables";
@import "../views/form.scss";

.thesis-list-nav {
    display: flex;
    justify-content: space-between;
    margin-bottom: 30px;
    align-items: center;
    &__count {
        margin-right: 20px;
        color: #1f1f1f;
    }
    &__menu {
        a,
        button {
            padding: 12px 20px;
            color: #fff;
            font-weight: bold;
            border-radius: 3px;
            font-size: 14px;
            margin-left: 15px;
        }
    }
}
.nav-icon {
    padding-right: 5px;
}


.table-list {
    width: 100%;
    border-collapse: collapse;
    tr td {
        padding: 15px;
        border: 1px solid #d3d3d3;
    }
    &__row:hover {
        background-color: #f3f3f3;
    }
    &__head {
        font-weight: 800;
        background-color: #e9e9e9;
        tr td {
            text-align: center;
        }
    }
    &__col-check {
        width: 5%;
    }
    &__col-status {
        width: 15%;
    }
    &__col-type {
        width: 15%;
    }
    &__col-title {
        vertical-align: baseline;
        a {
            color: #0a3d50;
            &:hover {
                text-decoration: underline;
            }
        }
    }
    &__head-col-check,
    &__col-check,
    &__col-type,
    &__col-status {
        text-align: center;
    }
}

.btn-status {
    span:hover {
        cursor: pointer;
    }
    &__icon {
        padding-right: 5px;
    }
    span.published {
        background-color: #66d15f6b;
        padding: 5px 15px;
        border-radius: 20px;
        font-size: 14px;
        color: #0e5e09;
    }
    span.progress {
        background-color: rgb(45 167 239 / 43%);
        padding: 5px 15px;
        border-radius: 20px;
        font-size: 14px;
        color: #091d5e;
    }
}

.load-more {
    width: 100%;
    margin-top: 30px;
    text-align: center;
    position: relative;
    &__btn-load {
        padding: 10px 200px;
        background-color: #06060617;
        border-radius: 25px;
        font-weight: 600;
        color: #1c1c1ccf;
        box-shadow: rgb(0 0 0 / 2%) 0px 1px 3px 0px, rgb(27 31 35 / 15%) 0px 0px 0px 1px;
    }
}

.btn-preloader {
    top: -5px;
}


/*SEARCH*/
.search-container {
    margin-bottom: 20px;
    position: relative;
}
.search {
    display: flex;
    justify-content: space-between;
    align-items: center;;
    &__item {
        width: 100%;
        margin-right: 20px;
        position: relative;
    }
    input {
        border: 1px solid $formBorderColor;
        width: 100%;
        padding: 10px 15px;
        border-radius: 2px;
        font-size: 16px;
        &.error {
            border: 1px solid $formBorderErrorColor;
        }
    }
    &__btn-clear {
        position: absolute;
        top: 15px;
        right: 15px;
        visibility: hidden;
        color: #858585;
        &:hover {
            cursor: pointer;
        }
    }
    button {
        padding: 12px 0;
        color: #fff;
        font-weight: bold;
        border-radius: 3px;
        min-width: 105px;
    }
}

.list-message {
    margin: 30px 0 0 0;
    display: none;
    p {
        text-align: center;
    }
}